TESTING/MATGEN/claghe.f(3)

NAME
TESTING/MATGEN/claghe.f

SYNOPSIS

  Functions/Subroutines
subroutine claghe (n, k, d, a, lda, iseed, work, info)
CLAGHE

Function/Subroutine Documentation

  subroutine claghe (integer n, integer k, real, dimension( * ) d, complex, dimension( lda, * ) a, integer lda, integer, dimension( 4 ) iseed, complex, dimension( * ) work, integer info)

CLAGHE

Purpose:

     CLAGHE generates a complex hermitian matrix A, by pre- and post-
     multiplying a real diagonal matrix D with a random unitary matrix:
     A = U*D*U'. The semi-bandwidth may then be reduced to k by additional
     unitary transformations.

Parameters
    N

              N is INTEGER
              The order of the matrix A.  N >= 0.

    K

              K is INTEGER
              The number of nonzero subdiagonals within the band of A.
              0 <= K <= N-1.

    D

              D is REAL array, dimension (N)
              The diagonal elements of the diagonal matrix D.

    A

              A is COMPLEX array, dimension (LDA,N)
              The generated n by n hermitian matrix A (the full matrix is
              stored).

    LDA

              LDA is INTEGER
              The leading dimension of the array A.  LDA >= N.

    ISEED

              ISEED is INTEGER array, dimension (4)
              On entry, the seed of the random number generator; the array
              elements must be between 0 and 4095, and ISEED(4) must be
              odd.
              On exit, the seed is updated.

    WORK

              WORK is COMPLEX array, dimension (2*N)

    INFO

              INFO is INTEGER
              = 0: successful exit
              < 0: if INFO = -i, the i-th argument had an illegal value

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 101 of file claghe.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.